DefaultMetricsSystem (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.metrics2.lib, enum: DefaultMetricsSystem

Package org.apache.hadoop.metrics2.lib

# Enum Class DefaultMetricsSystem

java.lang.Object
java.lang.Enum<DefaultMetricsSystem>
org.apache.hadoop.metrics2.lib.DefaultMetricsSystem

All Implemented Interfaces:
  `Serializable`, `Comparable<DefaultMetricsSystem>`, `Constable`

@Public @Evolving public enum DefaultMetricsSystem extends Enum<DefaultMetricsSystem>
The default metrics system singleton. This class is used by all the daemon processes(such as NameNode, DataNode, JobTracker etc.). During daemon process initialization the processes call `init(String)` to initialize the `MetricsSystem`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INSTANCE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MetricsSystem`
  `initialize(String prefix)`
  Convenience method to initialize the metrics system
  `static boolean`
  `inMiniClusterMode()`
  `static MetricsSystem`
  `instance()`
  `static ObjectName`
  `newMBeanName(String name)`
  `static void`
  `removeMBeanName(ObjectName name)`
  `static void`
  `removeSourceName(String name)`
  `static MetricsSystem`
  `setInstance(MetricsSystem ms)`
  `static void`
  `setMiniClusterMode(boolean choice)`
  `static void`
  `shutdown()`
  Shutdown the metrics system
  `static String`
  `sourceName(String name, boolean dupOK)`
  `static DefaultMetricsSystem`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DefaultMetricsSystem[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INSTANCE

    public static final DefaultMetricsSystem INSTANCE

- ## Method Details

  - ### values

    public static DefaultMetricsSystem[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DefaultMetricsSystem valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### initialize

    public static MetricsSystem initialize(String prefix)
    Convenience method to initialize the metrics system
    Parameters:
      `prefix` - for the metrics system configuration
    Returns:
      the metrics system instance

  - ### instance

    public static MetricsSystem instance()
    Returns:
      the metrics system object

  - ### shutdown

    public static void shutdown()
    Shutdown the metrics system

  - ### setInstance

    @Private public static MetricsSystem setInstance(MetricsSystem ms)

  - ### setMiniClusterMode

    @VisibleForTesting public static void setMiniClusterMode(boolean choice)

  - ### inMiniClusterMode

    @VisibleForTesting public static boolean inMiniClusterMode()

  - ### newMBeanName

    @Private public static ObjectName newMBeanName(String name)

  - ### removeMBeanName

    @Private public static void removeMBeanName(ObjectName name)

  - ### removeSourceName

    @Private public static void removeSourceName(String name)

  - ### sourceName

    @Private public static String sourceName(String name, boolean dupOK)